Bug 558963 - eclipse SIGSEGV in libgobject from swt
eclipse SIGSEGV in libgobject from swt
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-26 14:06 EST by Mads Kiilerich
Modified: 2010-03-11 13:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-11 13:17:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
hs_err_pid4908.log (85.68 KB, text/plain)
2010-01-26 14:06 EST, Mads Kiilerich
no flags Details

  None (edit)
Description Mads Kiilerich 2010-01-26 14:06:20 EST
Created attachment 386899 [details]
hs_err_pid4908.log

Description of problem:

crash:

### Excluding compile: static org.eclipse.core.internal.dtree.DataTreeNode::forwardDeltaWith
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00c6bb79, pid=4908, tid=3079001792
#
# JRE version: 6.0-b16
# Java VM: OpenJDK Client VM (14.0-b16 mixed mode linux-x86 )
# Distribution: Custom build (Thu Nov 12 09:49:25 EST 2009)
# Problematic frame:
# C  [libgobject-2.0.so.0+0x27b79]  g_type_check_instance_cast+0x29
#
# An error report file with more information is saved as:
# /home/mk/shared-main/hs_err_pid4908.log
#
# If you would like to submit a bug report, please include
# instructions how to reproduce the bug and visit:
#   http://icedtea.classpath.org/bugzilla
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
/usr/bin/eclipse: line 6:  4908 Aborted                 /usr/lib/eclipse/eclipse "$@"

I think it crashed the moment I pressed ctrl-m.

I have seen it some times, but it is not really reproducable.


Version-Release number of selected component (if applicable):

$ rpm -qa '*eclipse*'
eclipse-rse-3.1-2.fc12.noarch
eclipse-pydev-1.5.3-1.fc12.i686
eclipse-pde-3.5.1-22.fc12.i686
icu4j-eclipse-4.0.1-3.fc12.i686
tomcat5-jasper-eclipse-5.5.27-7.4.fc12.noarch
eclipse-emf-2.5.0-4.fc12.noarch
eclipse-rcp-3.5.1-22.fc12.i686
eclipse-swt-3.5.1-22.fc12.i686
eclipse-jdt-3.5.1-22.fc12.i686
eclipse-mylyn-3.2.1-2.fc12.noarch
eclipse-cdt-6.0.1-8.fc12.i686
eclipse-platform-3.5.1-22.fc12.i686
Comment 1 Andrew Overholt 2010-01-26 14:11:23 EST
Do you have GNOME Accessibility enabled?
Comment 2 Mads Kiilerich 2010-01-26 14:19:25 EST
Yes I had Assistive Technologies checked.

However, AFAICS the stacktrace is very different from bug 522187.
Comment 3 Andrew Overholt 2010-01-26 14:26:55 EST
It is quite different, but can you see if disabling accessibility stops this from occurring?  I'm trying to triage all the accessibility bugs.  Thanks.
Comment 4 Andrew Overholt 2010-02-17 15:01:44 EST
Are you still seeing this, Mads?  Any idea how to reproduce it?
Comment 5 Mads Kiilerich 2010-02-17 18:29:26 EST
I haven't seen it for a while - but has been running without Assistive Technology. I will try to enable it again and see what happens.
Comment 6 Mads Kiilerich 2010-03-11 12:11:06 EST
No eclipse problems so far ...
Comment 7 Andrew Overholt 2010-03-11 13:17:28 EST
Thanks, Mads.  In the absence of a reproducer and with Mads' anecdotal evidence of no crashers, I'm going to close this.  Feel free to re-open if the problem re-occurs.

Note You need to log in before you can comment on or make changes to this bug.